diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object-base.h ns-3.44/src/core/model/object-base.h
--- ns-3.43/src/core/model/object-base.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object-base.h	2025-03-09 16:55:49.359371000 -0700
@@ -16,15 +16,15 @@
 #include <string>
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::ObjectBase declaration and
  * NS_OBJECT_ENSURE_REGISTERED() macro definition.
  */
 
 /**
- * \ingroup object
- * \brief Register an Object subclass with the TypeId system.
+ * @ingroup object
+ * @brief Register an Object subclass with the TypeId system.
  *
  * This macro should be invoked once for every class which
  * defines a new GetTypeId method.
@@ -46,8 +46,8 @@
     } Object##type##RegistrationVariable
 
 /**
- * \ingroup object
- * \brief Explicitly instantiate a template class with one template parameter
+ * @ingroup object
+ * @brief Explicitly instantiate a template class with one template parameter
  *        and register the resulting instance with the TypeId system.
  *
  * This macro should be invoked once for every required instance of a template
@@ -57,12 +57,12 @@
  * If the template class is in a namespace, then the macro call should also be
  * in the namespace.
  *
- * \note The type names used as arguments for this macro, being used to form a
+ * @note The type names used as arguments for this macro, being used to form a
  * class name and a variable name, CANNOT contain the scope resolution
  * operator (::)
  *
- * \tparam type the template class
- * \tparam param the first template parameter
+ * @tparam type the template class
+ * @tparam param the first template parameter
  */
 #define NS_OBJECT_TEMPLATE_CLASS_DEFINE(type, param)                                               \
     template class type<param>;                                                                    \
@@ -83,8 +83,8 @@
     } Object##type##param##RegistrationVariable
 
 /**
- * \ingroup object
- * \brief Explicitly instantiate a template class with two template parameters
+ * @ingroup object
+ * @brief Explicitly instantiate a template class with two template parameters
  *        and register the resulting instance with the TypeId system.
  *
  * This macro should be invoked once for every required instance of a template
@@ -94,13 +94,13 @@
  * If the template class is in a namespace, then the macro call should also be
  * in the namespace.
  *
- * \note The type names used as arguments for this macro, being used to form a
+ * @note The type names used as arguments for this macro, being used to form a
  * class name and a variable name, CANNOT contain the scope resolution
  * operator (::)
  *
- * \tparam type the template class
- * \tparam param1 the first template parameter
- * \tparam param2 the second template parameter
+ * @tparam type the template class
+ * @tparam param1 the first template parameter
+ * @tparam param2 the second template parameter
  */
 #define NS_OBJECT_TEMPLATE_CLASS_TWO_DEFINE(type, param1, param2)                                  \
     template class type<param1, param2>;                                                           \
@@ -124,9 +124,9 @@
 {
 
 /**
- * \brief Helper function to get the name (as a string) of the type
+ * @brief Helper function to get the name (as a string) of the type
  *        of a template class
- * \return the name of the type of a template class as a string
+ * @return the name of the type of a template class as a string
  *
  * A specialization of this function is defined by the
  * NS_OBJECT_TEMPLATE_CLASS_DEFINE macro.
@@ -135,9 +135,9 @@
 std::string DoGetTemplateClassName();
 
 /**
- * \brief Helper function to get the name (as a string) of the type
+ * @brief Helper function to get the name (as a string) of the type
  *        of a template class
- * \return the name of the type of a template class as a string
+ * @return the name of the type of a template class as a string
  */
 template <typename T>
 std::string
@@ -149,9 +149,9 @@
 class AttributeConstructionList;
 
 /**
- * \ingroup object
+ * @ingroup object
  *
- * \brief Anchor the ns-3 type and attribute system.
+ * @brief Anchor the ns-3 type and attribute system.
  *
  * Every class which wants to integrate in the ns-3 type and attribute
  * system should derive from this base class. This base class provides:
@@ -163,7 +163,7 @@
   public:
     /**
      * Get the type ID.
-     * \return The object TypeId.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
@@ -179,7 +179,7 @@
      * but some classes which derive from ns3::ObjectBase directly
      * have to implement it themselves.
      *
-     * \return The TypeId associated to the most-derived type
+     * @return The TypeId associated to the most-derived type
      *          of this instance.
      */
     virtual TypeId GetInstanceTypeId() const = 0;
@@ -195,8 +195,8 @@
      *   - The attribute can't be set (no Setter).
      *   - The attribute couldn't be deserialized from the AttributeValue.
      *
-     * \param [in] name The name of the attribute to set.
-     * \param [in] value The name of the attribute to set.
+     * @param [in] name The name of the attribute to set.
+     * @param [in] value The name of the attribute to set.
      */
     void SetAttribute(std::string name, const AttributeValue& value);
     /**
@@ -205,9 +205,9 @@
      * If the attribute could not be set this will return \c false,
      * but not raise any errors.
      *
-     * \param [in] name The name of the attribute to set.
-     * \param [in] value The value to set it to.
-     * \return \c true if the requested attribute exists and could be set,
+     * @param [in] name The name of the attribute to set.
+     * @param [in] value The value to set it to.
+     * @return \c true if the requested attribute exists and could be set,
      *         \c false otherwise.
      */
     bool SetAttributeFailSafe(std::string name, const AttributeValue& value);
@@ -222,9 +222,9 @@
      *   - The attribute doesn't support string formatting.
      *   - The attribute couldn't be serialized into the AttributeValue.
      *
-     * \param [in]  name The name of the attribute to read.
-     * \param [out] value Where the result should be stored.
-     * \param [in] permissive If false (by default), will generate warnings and errors for
+     * @param [in]  name The name of the attribute to read.
+     * @param [out] value Where the result should be stored.
+     * @param [in] permissive If false (by default), will generate warnings and errors for
      * deprecated and obsolete attributes, respectively. If set to true, warnings for deprecated
      * attributes will be suppressed.
      */
@@ -235,9 +235,9 @@
      * If the attribute could not be read this will return \c false,
      * but not raise any errors.
      *
-     * \param [in]  name The name of the attribute to read.
-     * \param [out] value Where the result value should be stored.
-     * \return \c true if the requested attribute was found, \c false otherwise.
+     * @param [in]  name The name of the attribute to read.
+     * @param [out] value Where the result value should be stored.
+     * @return \c true if the requested attribute was found, \c false otherwise.
      */
     bool GetAttributeFailSafe(std::string name, AttributeValue& value) const;
 
@@ -246,10 +246,10 @@
      *
      * The target trace source should be registered with TypeId::AddTraceSource.
      *
-     * \param [in] name The name of the target trace source.
-     * \param [in] context The trace context associated to the callback.
-     * \param [in] cb The callback to connect to the trace source.
-     * \returns \c true on success, \c false if TraceSource was not found.
+     * @param [in] name The name of the target trace source.
+     * @param [in] context The trace context associated to the callback.
+     * @param [in] cb The callback to connect to the trace source.
+     * @returns \c true on success, \c false if TraceSource was not found.
      */
     bool TraceConnect(std::string name, std::string context, const CallbackBase& cb);
     /**
@@ -257,9 +257,9 @@
      *
      * The target trace source should be registered with TypeId::AddTraceSource.
      *
-     * \param [in] name The name of the target trace source.
-     * \param [in] cb The callback to connect to the trace source.
-     * \returns \c true on success, \c false if TraceSource was not found.
+     * @param [in] name The name of the target trace source.
+     * @param [in] cb The callback to connect to the trace source.
+     * @returns \c true on success, \c false if TraceSource was not found.
      */
     bool TraceConnectWithoutContext(std::string name, const CallbackBase& cb);
     /**
@@ -268,10 +268,10 @@
      *
      * The target trace source should be registered with TypeId::AddTraceSource.
      *
-     * \param [in] name The name of the target trace source.
-     * \param [in] context The trace context associated to the callback.
-     * \param [in] cb The callback to disconnect from the trace source.
-     * \returns \c true on success, \c false if TraceSource was not found.
+     * @param [in] name The name of the target trace source.
+     * @param [in] context The trace context associated to the callback.
+     * @param [in] cb The callback to disconnect from the trace source.
+     * @returns \c true on success, \c false if TraceSource was not found.
      */
     bool TraceDisconnect(std::string name, std::string context, const CallbackBase& cb);
     /**
@@ -280,9 +280,9 @@
      *
      * The target trace source should be registered with TypeId::AddTraceSource.
      *
-     * \param [in] name The name of the target trace source.
-     * \param [in] cb The callback to disconnect from the trace source.
-     * \returns \c true on success, \c false if TraceSource was not found.
+     * @param [in] name The name of the target trace source.
+     * @param [in] cb The callback to disconnect from the trace source.
+     * @returns \c true on success, \c false if TraceSource was not found.
      */
     bool TraceDisconnectWithoutContext(std::string name, const CallbackBase& cb);
 
@@ -306,7 +306,7 @@
      * you should make sure that you invoke this method from
      * your most-derived constructor.
      *
-     * \param [in] attributes The attribute values used to initialize
+     * @param [in] attributes The attribute values used to initialize
      *        the member variables of this object's instance.
      */
     void ConstructSelf(const AttributeConstructionList& attributes);
@@ -316,10 +316,10 @@
      * Attempt to set the value referenced by the accessor \pname{spec}
      * to a valid value according to the \c checker, based on \pname{value}.
      *
-     * \param [in] spec The accessor for the storage location.
-     * \param [in] checker The checker to use in validating the value.
-     * \param [in] value The value to attempt to store.
-     * \returns \c true if the \c value could be validated by the \pname{checker}
+     * @param [in] spec The accessor for the storage location.
+     * @param [in] checker The checker to use in validating the value.
+     * @param [in] value The value to attempt to store.
+     * @returns \c true if the \c value could be validated by the \pname{checker}
      *          and written to the storage location.
      */
     bool DoSet(Ptr<const AttributeAccessor> spec,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object.cc ns-3.44/src/core/model/object.cc
--- ns-3.43/src/core/model/object.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object.cc	2025-03-09 16:55:49.359371000 -0700
@@ -21,8 +21,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::Object class implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object-factory.cc ns-3.44/src/core/model/object-factory.cc
--- ns-3.43/src/core/model/object-factory.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object-factory.cc	2025-03-09 16:55:49.359371000 -0700
@@ -12,8 +12,8 @@
 #include <sstream>
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::ObjectFactory class implementation.
  */
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object-factory.h ns-3.44/src/core/model/object-factory.h
--- ns-3.43/src/core/model/object-factory.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object-factory.h	2025-03-09 16:55:49.359371000 -0700
@@ -13,8 +13,8 @@
 #include "type-id.h"
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::ObjectFactory class declaration.
  */
 
@@ -24,14 +24,14 @@
 class AttributeValue;
 
 /**
- * \ingroup object
+ * @ingroup object
  *
- * \brief Instantiate subclasses of ns3::Object.
+ * @brief Instantiate subclasses of ns3::Object.
  *
  * This class can also hold a set of attributes to set
  * automatically during the object construction.
  *
- * \see attribute_ObjectFactory
+ * @see attribute_ObjectFactory
  */
 class ObjectFactory
 {
@@ -46,9 +46,9 @@
     /**
      * Construct a factory for a specific TypeId by name.
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs
-     * \param [in] typeId The name of the TypeId this factory should create.
-     * \param [in] args A sequence of name-value pairs of additional attributes to set.
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs
+     * @param [in] typeId The name of the TypeId this factory should create.
+     * @param [in] args A sequence of name-value pairs of additional attributes to set.
      *
      * The args sequence can be made of any number of pairs, each consisting of a
      * name (of std::string type) followed by a value (of const AttributeValue & type).
@@ -60,7 +60,7 @@
     /**
      * Set the TypeId of the Objects to be created by this factory.
      *
-     * \param [in] tid The TypeId of the object to instantiate.
+     * @param [in] tid The TypeId of the object to instantiate.
      */
     void SetTypeId(TypeId tid);
     void SetTypeId(std::string tid);
@@ -69,17 +69,17 @@
     /**
      * Check if the ObjectFactory has been configured with a TypeId
      *
-     * \return true if a TypeId has been configured to the ObjectFactory
+     * @return true if a TypeId has been configured to the ObjectFactory
      */
     bool IsTypeIdSet() const;
 
     /**
      * Set an attribute to be set during construction.
      *
-     * \tparam Args \deduced Template type parameter pack for the sequence of name-value pairs
-     * \param [in] name The name of the attribute to set.
-     * \param [in] value The value of the attribute to set.
-     * \param [in] args A sequence of name-value pairs of additional attributes to set.
+     * @tparam Args \deduced Template type parameter pack for the sequence of name-value pairs
+     * @param [in] name The name of the attribute to set.
+     * @param [in] value The value of the attribute to set.
+     * @param [in] args A sequence of name-value pairs of additional attributes to set.
      *
      * The args sequence can be made of any number of pairs, each consisting of a
      * name (of std::string type) followed by a value (of const AttributeValue & type).
@@ -97,14 +97,14 @@
 
     /**
      * Get the TypeId which will be created by this ObjectFactory.
-     * \returns The currently-selected TypeId.
+     * @returns The currently-selected TypeId.
      */
     TypeId GetTypeId() const;
 
     /**
      * Create an Object instance of the configured TypeId.
      *
-     * \returns A new object instance.
+     * @returns A new object instance.
      */
     Ptr<Object> Create() const;
     /**
@@ -114,8 +114,8 @@
      * returning a pointer of the requested type to the user. This method
      * is really syntactical sugar.
      *
-     * \tparam T \explicit The requested Object type.
-     * \returns A new object instance.
+     * @tparam T \explicit The requested Object type.
+     * @returns A new object instance.
      */
     template <typename T>
     Ptr<T> Create() const;
@@ -124,8 +124,8 @@
     /**
      * Set an attribute to be set during construction.
      *
-     * \param [in] name The name of the attribute to set.
-     * \param [in] value The value of the attribute to set.
+     * @param [in] name The name of the attribute to set.
+     * @param [in] value The value of the attribute to set.
      */
     void DoSet(const std::string& name, const AttributeValue& value);
     /**
@@ -134,9 +134,9 @@
      * The configuration will be printed as a string with the form
      * "<TypeId-name>[<attribute-name>=<attribute-value>|...]"
      *
-     * \param [in,out] os The stream.
-     * \param [in] factory The ObjectFactory.
-     * \returns The stream.
+     * @param [in,out] os The stream.
+     * @param [in] factory The ObjectFactory.
+     * @returns The stream.
      */
     friend std::ostream& operator<<(std::ostream& os, const ObjectFactory& factory);
     /**
@@ -145,9 +145,9 @@
      * The configuration should be in the form
      * "<TypeId-name>[<attribute-name>=<attribute-value>|...]"
      *
-     * \param [in,out] is The input stream.
-     * \param [out] factory The factory to configure as described by the stream.
-     * \return The stream.
+     * @param [in,out] is The input stream.
+     * @param [out] factory The factory to configure as described by the stream.
+     * @return The stream.
      */
     friend std::istream& operator>>(std::istream& is, ObjectFactory& factory);
 
@@ -164,13 +164,13 @@
 std::istream& operator>>(std::istream& is, ObjectFactory& factory);
 
 /**
- * \ingroup object
+ * @ingroup object
  * Allocate an Object on the heap and initialize with a set of attributes.
  *
- * \tparam T \explicit The requested Object type.
- * \tparam Args \deduced The type of the sequence of name-value pairs.
- * \param [in] args A sequence of name-value pairs of the attributes to set.
- * \returns A pointer to a newly allocated object.
+ * @tparam T \explicit The requested Object type.
+ * @tparam Args \deduced The type of the sequence of name-value pairs.
+ * @param [in] args A sequence of name-value pairs of the attributes to set.
+ * @returns A pointer to a newly allocated object.
  *
  * The args sequence can be made of any number of pairs, each consisting of a
  * name (of std::string type) followed by a value (of const AttributeValue & type).
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object.h ns-3.44/src/core/model/object.h
--- ns-3.43/src/core/model/object.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object.h	2025-03-09 16:55:49.359371000 -0700
@@ -20,8 +20,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup object
+ * @file
+ * @ingroup object
  * ns3::Object class declaration, which is the root of the Object hierarchy
  * and Aggregation.
  */
@@ -35,14 +35,14 @@
 class TraceSourceAccessor;
 
 /**
- * \ingroup core
- * \defgroup object Object
- * \brief Base classes which provide memory management and object aggregation.
+ * @ingroup core
+ * @defgroup object Object
+ * @brief Base classes which provide memory management and object aggregation.
  */
 
 /**
- * \ingroup object
- * \ingroup ptr
+ * @ingroup object
+ * @ingroup ptr
  * Standard Object deleter, used by SimpleRefCount
  * to delete an Object when the reference count drops to zero.
  */
@@ -54,14 +54,14 @@
      * Delete implementation, forwards to the Object::DoDelete()
      * method.
      *
-     * \param [in] object The Object to delete.
+     * @param [in] object The Object to delete.
      */
     inline static void Delete(Object* object);
 };
 
 /**
- * \ingroup object
- * \brief A base class which provides memory management and object aggregation
+ * @ingroup object
+ * @brief A base class which provides memory management and object aggregation
  *
  * The memory management scheme is based on reference-counting with
  * dispose-like functionality to break the reference cycles.
@@ -78,18 +78,18 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The Object TypeId.
+     * @brief Register this type.
+     * @return The Object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Iterate over the Objects aggregated to an ns3::Object.
+     * @brief Iterate over the Objects aggregated to an ns3::Object.
      *
      * This iterator does not allow you to iterate over the parent
      * Object used to call Object::GetAggregateIterator.
      *
-     * \note This is a java-style iterator.
+     * @note This is a java-style iterator.
      */
     class AggregateIterator
     {
@@ -100,7 +100,7 @@
         /**
          * Check if there are more Aggregates to iterate over.
          *
-         * \returns \c true if Next() can be called and return a non-null
+         * @returns \c true if Next() can be called and return a non-null
          *          pointer, \c false otherwise.
          */
         bool HasNext() const;
@@ -108,7 +108,7 @@
         /**
          * Get the next Aggregated Object.
          *
-         * \returns The next aggregated Object.
+         * @returns The next aggregated Object.
          */
         Ptr<const Object> Next();
 
@@ -121,7 +121,7 @@
          * This is private, with Object as friend, so only Objects can create
          * useful AggregateIterators.
          *
-         * \param [in] object The Object whose Aggregates should be iterated over.
+         * @param [in] object The Object whose Aggregates should be iterated over.
          */
         AggregateIterator(Ptr<const Object> object);
         Ptr<const Object> m_object; //!< Parent Object.
@@ -141,8 +141,8 @@
      * Get a pointer to the requested aggregated Object.  If the type of object
      * requested is ns3::Object, a Ptr to the calling object is returned.
      *
-     * \tparam T \explicit The type of the aggregated Object to retrieve.
-     * \returns A pointer to the requested Object, or zero
+     * @tparam T \explicit The type of the aggregated Object to retrieve.
+     * @returns A pointer to the requested Object, or zero
      *          if it could not be found.
      */
     template <typename T>
@@ -151,9 +151,9 @@
      * Get a pointer to the requested aggregated Object by TypeId.  If the
      * TypeId argument is ns3::Object, a Ptr to the calling object is returned.
      *
-     * \tparam T \explicit The type of the aggregated Object to retrieve.
-     * \param [in] tid The TypeId of the requested Object.
-     * \returns A pointer to the requested Object with the specified TypeId,
+     * @tparam T \explicit The type of the aggregated Object to retrieve.
+     * @param [in] tid The TypeId of the requested Object.
+     * @returns A pointer to the requested Object with the specified TypeId,
      *          or zero if it could not be found.
      */
     template <typename T>
@@ -166,7 +166,7 @@
      * After calling this method, this Object is expected to be
      * totally unusable except for the Ref() and Unref() methods.
      *
-     * \note You can call Dispose() many times on the same Object or
+     * @note You can call Dispose() many times on the same Object or
      * different Objects aggregated together, and DoDispose() will be
      * called only once for each aggregated Object.
      *
@@ -176,7 +176,7 @@
     /**
      * Aggregate two Objects together.
      *
-     * \param [in] other The other Object pointer
+     * @param [in] other The other Object pointer
      *
      * This method aggregates the two Objects together: after this
      * method returns, it becomes possible to call GetObject()
@@ -193,7 +193,7 @@
     /**
      * Aggregate an Object to another Object.
      *
-     * \param [in] other The other Object pointer
+     * @param [in] other The other Object pointer
      *
      * This method aggregates the an object to another Object:
      * after this method returns, it becomes possible to call GetObject()
@@ -231,7 +231,7 @@
     /**
      * Get an iterator to the Objects aggregated to this one.
      *
-     * \returns An iterator to the first Object aggregated to this
+     * @returns An iterator to the first Object aggregated to this
      *          Object.
      *
      * If no Objects are aggregated to this Object, then, the returned
@@ -255,8 +255,8 @@
     /**
      * Check if the object has been initialized.
      *
-     * \brief Check if the object has been initialized.
-     * \returns \c true if the object has been initialized.
+     * @brief Check if the object has been initialized.
+     * @returns \c true if the object has been initialized.
      */
     bool IsInitialized() const;
 
@@ -306,7 +306,7 @@
     /**
      * Copy an Object.
      *
-     * \param [in] o the Object to copy.
+     * @param [in] o the Object to copy.
      *
      * Allow subclasses to implement a copy constructor.
      *
@@ -329,9 +329,9 @@
     /**
      * Copy an Object.
      *
-     * \tparam T \deduced The type of the Object being copied.
-     * \param [in] object A pointer to the object to copy.
-     * \returns A copy of the input object.
+     * @tparam T \deduced The type of the Object being copied.
+     * @param [in] object A pointer to the object to copy.
+     * @returns A copy of the input object.
      *
      * This method invoke the copy constructor of the input object
      * and returns the new instance.
@@ -346,9 +346,9 @@
     /**
      * Set the TypeId and construct all Attributes of an Object.
      *
-     * \tparam T \deduced The type of the Object to complete.
-     * \param [in] object The uninitialized object pointer.
-     * \return The derived object.
+     * @tparam T \deduced The type of the Object to complete.
+     * @param [in] object The uninitialized object pointer.
+     * @return The derived object.
      */
     template <typename T>
     friend Ptr<T> CompleteConstruct(T* object);
@@ -383,19 +383,19 @@
     /**
      * Find an Object of TypeId tid in the aggregates of this Object.
      *
-     * \param [in] tid The TypeId we're looking for
-     * \return The matching Object, if it is found
+     * @param [in] tid The TypeId we're looking for
+     * @return The matching Object, if it is found
      */
     Ptr<Object> DoGetObject(TypeId tid) const;
     /**
      * Verify that this Object is still live, by checking it's reference count.
-     * \return \c true if the reference count is non zero.
+     * @return \c true if the reference count is non zero.
      */
     bool Check() const;
     /**
      * Check if any aggregated Objects have non-zero reference counts.
      *
-     * \return \c true if any of our aggregates have non zero reference count.
+     * @return \c true if any of our aggregates have non zero reference count.
      *
      * In some cases, when an event is scheduled against a subclass of
      * Object, and if no one owns a reference directly to this Object, the
@@ -408,7 +408,7 @@
     /**
      * Set the TypeId of this Object.
 
-     * \param [in] tid The TypeId value to set.
+     * @param [in] tid The TypeId value to set.
      *
      * Invoked from ns3::CreateObject only.
      * Initialize the \c m_tid member variable to
@@ -418,7 +418,7 @@
     /**
      * Initialize all member variables registered as Attributes of this TypeId.
      *
-     * \param [in] attributes The attribute values used to initialize
+     * @param [in] attributes The attribute values used to initialize
      *        the member variables of this Object's instance.
      *
      * Invoked from ns3::ObjectFactory::Create and ns3::CreateObject only.
@@ -430,8 +430,8 @@
     /**
      * Keep the list of aggregates in most-recently-used order
      *
-     * \param [in,out] aggregates The list of aggregated Objects.
-     * \param [in] i The most recently used entry in the list.
+     * @param [in,out] aggregates The list of aggregated Objects.
+     * @param [in] i The most recently used entry in the list.
      */
     void UpdateSortedArray(Aggregates* aggregates, uint32_t i) const;
     /**
@@ -530,7 +530,7 @@
  * Specialization of \link Object::GetObject () \endlink for
  * objects of type ns3::Object.
  *
- * \returns A Ptr to the calling object.
+ * @returns A Ptr to the calling object.
  */
 template <>
 inline Ptr<Object>
@@ -555,8 +555,8 @@
  * Specialization of \link Object::GetObject (TypeId tid) \endlink for
  * objects of type ns3::Object.
  *
- * \param [in] tid The TypeId of the requested Object.
- * \returns A Ptr to the calling object.
+ * @param [in] tid The TypeId of the requested Object.
+ * @returns A Ptr to the calling object.
  */
 template <>
 inline Ptr<Object>
@@ -604,15 +604,15 @@
 }
 
 /**
- * \ingroup object
+ * @ingroup object
  * @{
  */
 /**
  * Create an object by type, with varying number of constructor parameters.
  *
- * \tparam T \explicit The type of the derived object to construct.
- * \param [in] args Arguments to pass to the constructor.
- * \return The derived object.
+ * @tparam T \explicit The type of the derived object to construct.
+ * @param [in] args Arguments to pass to the constructor.
+ * @return The derived object.
  */
 template <typename T, typename... Args>
 Ptr<T>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object-map.h ns-3.44/src/core/model/object-map.h
--- ns-3.43/src/core/model/object-map.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object-map.h	2025-03-09 16:55:49.359371000 -0700
@@ -14,8 +14,8 @@
 #include "ptr.h"
 
 /**
- * \file
- * \ingroup attribute_ObjectMap
+ * @file
+ * @ingroup attribute_ObjectMap
  * ns3::ObjectMap attribute value declarations and template implementations.
  */
 
@@ -23,15 +23,15 @@
 {
 
 /**
- * \ingroup attribute_ObjectMap
+ * @ingroup attribute_ObjectMap
  * ObjectMapValue is an alias for ObjectPtrContainerValue
  */
 typedef ObjectPtrContainerValue ObjectMapValue;
 
 /**
- * \ingroup attribute_ObjectMap
+ * @ingroup attribute_ObjectMap
  * MakeAccessorHelper implementation for ObjectVector.
- * \copydetails ns3::DoMakeAccessorHelperOne(U T::*)
+ * @copydetails ns3::DoMakeAccessorHelperOne(U T::*)
  */
 template <typename T, typename U>
 Ptr<const AttributeAccessor> MakeObjectMapAccessor(U T::*memberVariable);
@@ -41,16 +41,16 @@
 Ptr<const AttributeChecker> MakeObjectMapChecker();
 
 /**
- * \ingroup attribute_ObjectMap
- * \copydoc ns3::MakeObjectPtrContainerAccessor()
+ * @ingroup attribute_ObjectMap
+ * @copydoc ns3::MakeObjectPtrContainerAccessor()
  */
 template <typename T, typename U, typename INDEX>
 Ptr<const AttributeAccessor> MakeObjectMapAccessor(Ptr<U> (T::*get)(INDEX) const,
                                                    INDEX (T::*getN)() const);
 
 /**
- * \ingroup attribute_ObjectMap
- * \copydoc ns3::MakeObjectPtrContainerAccessor()
+ * @ingroup attribute_ObjectMap
+ * @copydoc ns3::MakeObjectPtrContainerAccessor()
  */
 template <typename T, typename U, typename INDEX>
 Ptr<const AttributeAccessor> MakeObjectMapAccessor(INDEX (T::*getN)() const,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/object-ptr-container.cc ns-3.44/src/core/model/object-ptr-container.cc
--- ns-3.43/src/core/model/object-ptr-container.cc	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/object-ptr-container.cc	2025-03-09 16:55:49.359371000 -0700
@@ -10,8 +10,8 @@
 #include "log.h"
 
 /**
- * \file
- * \ingroup attribute_ObjectPtrContainer
+ * @file
+ * @ingroup attribute_ObjectPtrContainer
  * ns3::ObjectPtrContainerValue attribute value implementations.
  */
 
